org.richfaces.ui.component

## Class UIInsert

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.ui.component.UIInsert

- All Implemented Interfaces:
    javax.faces.component.StateHolder
  Direct Known Subclasses:
    HtmlInsert

      public abstract class UIInsert
      extends javax.faces.component.UIComponentBase

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ILLEGAL_ATTRIBUTE_VALUE_MESSAGE` Message of the Exception thrown in case both "content" and "src" attributes are set on the page

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIInsert()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getContent()`
    `abstract java.lang.String` | `getEncoding()`
    `abstract java.lang.String` | `getErrorContent()`
    `abstract java.lang.String` | `getHighlight()`
    `abstract java.lang.String` | `getSrc()`
    `abstract void` | `setContent(java.lang.String content)`
    `abstract void` | `setEncoding(java.lang.String encoding)`
    `abstract void` | `setErrorContent(java.lang.String src)`
    `abstract void` | `setHighlight(java.lang.String highlight)`
    `abstract void` | `setSrc(java.lang.String src)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ILLEGAL_ATTRIBUTE_VALUE_MESSAGE

          public static final java.lang.String ILLEGAL_ATTRIBUTE_VALUE_MESSAGE

      Message of the Exception thrown in case both "content" and "src" attributes are set on the page
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIInsert

          public UIInsert()

  - ### Method Detail

    - #### getSrc

          public abstract java.lang.String getSrc()

    - #### setSrc

          public abstract void setSrc(java.lang.String src)

    - #### getContent

          public abstract java.lang.String getContent()

    - #### setContent

          public abstract void setContent(java.lang.String content)

    - #### getHighlight

          public abstract java.lang.String getHighlight()

    - #### setHighlight

          public abstract void setHighlight(java.lang.String highlight)

    - #### getErrorContent

          public abstract java.lang.String getErrorContent()

    - #### setErrorContent

          public abstract void setErrorContent(java.lang.String src)

    - #### getEncoding

          public abstract java.lang.String getEncoding()

    - #### setEncoding

          public abstract void setEncoding(java.lang.String encoding)

Copyright © 2013. All Rights Reserved.